Opened 11 years ago

Closed 10 years ago

#5090 closed task (wontfix)

[with spkg, needs work] upgrade numpy to 1.2.1

Reported by: jason Owned by: mabshoff
Priority: major Milestone: sage-4.0.2
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Change History (7)

comment:1 Changed 11 years ago by mabshoff

  • Summary changed from upgrade numpy to 1.2.1 to [with spkg, needs review] upgrade numpy to 1.2.1

Jason,

this sounds like it is ready to be reviewed. Am I correct?

Cheers,

Michael

comment:2 Changed 11 years ago by mabshoff

  • Component changed from linear algebra to packages
  • Owner changed from was to mabshoff

And this is a package, so move it from linear algebra.

Cheers,

Michael

comment:3 Changed 11 years ago by mabshoff

  • Resolution set to fixed
  • Status changed from new to closed

Merged in Sage 3.3.alpha2

Cheers,

Michael

comment:4 Changed 11 years ago by mabshoff

  • Resolution fixed deleted
  • Status changed from closed to reopened

Oops, I will review this later.

Cheers,

Michael

comment:5 Changed 11 years ago by jason

Michael, yes you are correct on all accounts.

comment:6 Changed 11 years ago by jason

  • Summary changed from [with spkg, needs review] upgrade numpy to 1.2.1 to [with spkg, needs work] upgrade numpy to 1.2.1

Actually, I just remembered that I removed the patch which silenced deprecation warnings. This was because I was hoping this spkg would be merged with the new scipy 0.7, and the deprecated calls would be fixed. So we should hold off on this upgrade for now.

comment:7 Changed 10 years ago by craigcitro

  • Resolution set to wontfix
  • Status changed from reopened to closed

This has been superseded by #6140, which has been merged in 4.0.2.alpha0. I'm closing as wontfix, though maybe duplicate is just as good.

Note: See TracTickets for help on using tickets.